Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.pgp
Class PGPKeyRingImpl

    java.lang.Object
      org.mule.module.pgp.PGPKeyRingImpl

All Implemented Interfaces:
  Initialisable, PGPKeyRing

    public class PGPKeyRingImpl

extends Object
implements PGPKeyRing, Initialisable

Field Summary
`protected static Log` | `logger`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`PGPKeyRingImpl()`

Method Summary
`org.bouncycastle.openpgp.PGPPublicKey` | `getPublicKey(String principalId)`
`String` | `getPublicKeyRingFileName()`
`String` | `getSecretAliasId()`
`org.bouncycastle.openpgp.PGPSecretKey` | `getSecretKey()`
`String` | `getSecretKeyRingFileName()`
`String` | `getSecretPassphrase()`
`void` | `initialise()` Method used to perform any initialisation work.
`void` | `setPublicKeyRingFileName(String value)`
`void` | `setSecretAliasId(String value)`
`void` | `setSecretKeyRingFileName(String value)`
`void` | `setSecretPassphrase(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

Constructor Detail

### PGPKeyRingImpl

    public PGPKeyRingImpl()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getSecretKeyRingFileName

    public String getSecretKeyRingFileName()

### setSecretKeyRingFileName

    public void setSecretKeyRingFileName(String value)

### getSecretAliasId

    public String getSecretAliasId()

### setSecretAliasId

    public void setSecretAliasId(String value)

### getSecretPassphrase

    public String getSecretPassphrase()

  Specified by:
    `getSecretPassphrase` in interface `PGPKeyRing`

### setSecretPassphrase

    public void setSecretPassphrase(String value)

### getSecretKey

    public org.bouncycastle.openpgp.PGPSecretKey getSecretKey()

  Specified by:
    `getSecretKey` in interface `PGPKeyRing`

### getPublicKeyRingFileName

    public String getPublicKeyRingFileName()

### setPublicKeyRingFileName

    public void setPublicKeyRingFileName(String value)

### getPublicKey

    public org.bouncycastle.openpgp.PGPPublicKey getPublicKey(String principalId)

  Specified by:
    `getPublicKey` in interface `PGPKeyRing`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.